Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Variables don't work as values for group settings.

If I have:

foo = a

bar = b

red = $foo-$bar

and I reference $red, it is interpreted as $foo-$bar literal.

Related issues:

Related to Foreman - Feature #2260: Support dynamic ERB parameters in global ... Closed 02/27/2013

History

#1 - 10/17/2012 07:23 AM - Ohad Levy

- Status changed from New to Feedback

can you provide a bit more context? which kind of settings are we talking about?

#2 - 10/18/2013 07:58 AM - Benjamin Papillon

- Description updated

- Status changed from Feedback to Closed

Hello,

Now with Foreman 1.3 you can use ERB templating in parameters. This will solve your needs of variables in Parameters.

Regards,

Benjamin Papillon

#3 - 10/18/2013 07:58 AM - Dominic Cleal

- Related to Feature #2260: Support dynamic ERB parameters in global and class params added
